<?php
#-----------------------------------------------------#
#          ********* WAP-MOTORS *********             #
#             Made by   :  VANTUZ                     #
#               E-mail  :  vsem@pizdec.ru             #
#                 Site  :  http://pizdec.ru           #
#             WAP-Site  :  http://visavi.net          #
#                  ICQ  :  36-44-66                   #
#  Вы не имеете право вносить изменения в код скрипта #
#-----------------------------------------------------#	
require_once"../template/start.php";
require_once"../template/regglobals.php";
require_once"../template/config.php";
require_once"../template/functions.php";
require_once"../template/antidos.php";
require_once"../template/cookies.php";
require_once"../template/gzip.php";
require_once"../template/header.php";
require_once"../template/referer.php";
include_once"../themes/$config_themes/index.php";

$text = file("../local/profil/$log.prof"); 
if ($text!=""){
$udata = explode(":||:",$text[0]);
$provlog=trim($udata[0]);
$provpar=trim($udata[1]);
$privat=trim($udata[10]);}	

echo '<img src="../images/img/partners.gif" alt=""> <b>Кто-где</b><br><br>';

$file = file("../local/who.dat");
$file = array_reverse($file);
$total = count($file);    
if (empty($_GET['start'])) $start = 0;
else $start = $_GET['start'];
if ($total < $start + $config_showuser){ $end = $total; }
else {$end = $start + $config_showuser; }
for ($i = $start; $i < $end; $i++){
	
$data = explode("|",$file[$i]);	
$cur=time();

$cu=round(($cur-$data[3])/60);

if($cu<10){$cu='<font color="#00FF00">Oнлайн</font>';}
if($cu>=10 && $cu<60){$cu="$cu мин. назад";}
if($cu>=60 && $cu<1440){$cu=round($cu/60); $cu="$cu час. назад";}
if($cu>=1440){$cu=round($cu/60/24); $cu="$cu дн. назад";}


if(!eregi("[^a-z0-9-]",$data[0])){
echo '<img src="../images/img/chel.gif" alt=""> <b><a href="../pages/anketa.php?uz='.$data[0].'&amp;'.SID.'">'.nickname($data[0]).'</a></b> ('.$cu.')<br>Где: '; 


if($data[1]=="/addpriv.php"){$data[1]="/pages/privat.php";}

echo'<a href="'.$data[1].'?'.SID.'">';
if(str_mess($data[1])!=""){echo str_mess($data[1]);}else{echo'На главной';} 
echo'</a><br>Переходов: '.$data[2].'<hr>'; 
}}
    
if ($start != 0) {echo '<a href="who.php?start='.($start - $config_showuser).'&amp;'.SID.'">&lt;-Назад</a> ';}else{echo'&lt;-Назад';}
echo ' | ';
if ($total > $start + $config_showuser) {echo ' <a href="who.php?start='.($start + $config_showuser).'&amp;'.SID.'">Далее-&gt;</a>';}else{echo'Далее-&gt;';} 

echo'<br><br><img src="../images/img/homepage.gif" alt=""> <a href="../index.php?'.SID.'">На главную</a>';
include_once "../themes/$config_themes/foot.php";
?>